const cache = {};
(function (r) { r.keys().forEach(k => (cache[k] = r(k))) })(require.context("./", true, /strings_.*\.json$/));

module.exports = function (language) {
    let local = Object.keys(cache).filter(f => f.includes("/strings_" + language + ".json")).reduce((a, c) => Object.assign(a, cache[c] || {}), {});
    let en = Object.keys(cache).filter(f => f.includes("/strings_en.json")).reduce((a, c) => Object.assign(a, cache[c] || {}), {});
    Object.assign(en, local);
    return en;
}