SEARCH_MODULE.searchArray = [
 [
  "../bookinfo.html",
  "OES 23.4: CIS Configuration Help",
  "October 2023",
  "",
  0,
  "October 2023 ..."
 ],
 [
  "../cis_config_01.html",
  "Cloud Integrated Storage Configuration Help",
  "The Cloud Integrated Storage (CIS) provides a console to configure CIS and its infrastructure components. This help covers the deployment configuration of CIS and its infrastructure components. CIS Configuration Welcome Page This page explains the configuration flow of CIS components. Review the flow, and then select the type of deployment as per your requirement. CIS supports the following deployment types: Before configuring CIS, ensure that there is sufficient disk space available on the root file system for CIS to function properly.",
  "",
  0,
  "The Cloud Integrated Storage (CIS) provides a console to configure CIS and its infrastructure components. This help covers the deployment ..."
 ],
 [
  "../cis_infra_conf_06.html",
  "Configure CIS as a Standalone Server",
  "Choose this option to configure Apache Kafka, Apache ZooKeeper, OpenSearch, database and CIS services on the same server. Procedure Under Single Server Deployment, select Configure CIS as a Standalone Server and then click Next. Configuration Location: Specify the following: Hostname / IP Address: Specify the fully qualified domain name (FQDN) or IP address of the server where CIS will be configured. For example, wdccisserver.labs.wdc.acme.com. Configuration Path: Specify the path to store CIS configuration files and log files. By default, the path is set to root (/). You can modify it to /home or /media/nss/VOLUMENAME depending on your requirement. If you are using /media/nss/CISVOL, then it is recommended to create a new volume for CIS. When using an existing volume, ensure that the space available is 100 GB or more. You must LUM enable the cisuser and cisgroup. If /media/nss/CISVOL is a cluster volume, then you need to modify the resource to update the Load and Unload script with CIS service. For more information about the scripts, refer to the “Configure CIS as a Standalone Server” in the “Cloud Integrated Storage Administration guide”. Database: Specify the following: Use external database: Enable this option to configure CIS with the already configured database server. By default, this option is disabled. If this option is disabled, specify the MariaDB password. If this option is enabled, specify the following: Select either MariaDB or MS SQL database. Specify the database hostname or IP address and port. By default, the database port for MariaDB is 3306 and MS SQL is 1433. Specify the user name and password for the database. Use secure connection: Enables or disables the database connection to be secure. By default, this option is disabled. If MariaDB database is selected, specify the following: Ensure to copy MariaDB client certificates to the CIS server. Client CA Certificate file path: Specify the path of client Certificate Authority (CA) file in.pem format. Client Certificate file path: Specify the path of the client certificate file in.pem format. Client Key file path: Specify the path of the key file associated with the client certificate in.pem format. ZooKeeper: By default, it is configured with the CIS server IP and ZooKeeper port is 2181. OpenSearch: By default, it is configured with the CIS server IP and OpenSearch port is 9400. Kafka: By default, it is configured with the CIS server IP and Kafka port is 9092. Click Next. CIS Admin Name with Context: Specify the LDAP distinguished name (DN) of the user who administers the CIS server. For example, cn=admin,o=acme. Admin Password: Specify the password for the CIS administrator. Agent Search Context: Specify the LDAP distinguished name (DN) of the container object under which the NCP server objects of the OES server resides that connects to the CIS server. The OES server includes the agents that connects to the CIS server. The CIS admin user must have supervisory rights on this server context. Click Next. Review the configuration summary and then click Finish.",
  "",
  0,
  "Choose this option to configure Apache Kafka, Apache ZooKeeper, OpenSearch, database and CIS services on the same server. Procedure Under Single ..."
 ],
 [
  "../infra_conf_02.html",
  "Configure Infrastructure Services",
  "Choose this option to configure Apache Kafka, Apache ZooKeeper, and OpenSearch in high availability (HA) mode. A multi node high availability configuration of Infrastructure server helps to increase the efficiency and availability of the Infrastructure server. It is mandatory to configure minimum three HA nodes. You can configure up to seven nodes. Procedure To automatically make the server HA ready, click Start. After successful configuration, click OK. Re-login to the console to view the steps to complete the Infrastructure service configuration (using CLI). (Using CLI) To setup the Docker Swarm, perform the following on the terminal console of this server: Open a terminal console, then log in as a root user. Initialize a Docker Swarm using the following command: docker swarm init Create a token and add a manager to this swarm using the following command: docker swarm join-token manager Command output: docker swarm join --token < token_value > < host_address :2377> Make a note of this command output, because the same output must be executed on all other HA nodes to join this Docker Swarm. After successful configuration, go to next HA node, perform step1 and then join this server to the Docker Swarm created on first node using the following command: docker swarm join --token <swarm_token_gererated_from_first_node> <first_node_hostname>:2377 Repeat this step on all the Infrastructure server nodes. On the last HA node, start Infrastructure services using the following command: sh /opt/novell/cis/bin/cis_ext_service.sh start After successful configuration of Infrastructure services, continue with.",
  "",
  0,
  "Choose this option to configure Apache Kafka, Apache ZooKeeper, and OpenSearch in high availability (HA) mode. A multi node high availability ..."
 ],
 [
  "../cis_conf_03.html",
  "Configure CIS Services",
  "Choose this option to configure CIS as a single node or a NCS (Novell Cluster Services) cluster resource. Prerequisites Before you start with CIS configuration, ensure that the database and infrastructure services (in cluster mode) are configured. Ensure that the cluster resource host name or IP address is reserved for the cluster configuration. For CIS server to function in a cluster environment, ensure that all nodes are configured with OES 23.4. Novell Cluster Services must be installed and running on the servers that have CIS installed. For information, see Installing, Configuring, and Repairing Novell Cluster Services in the OES Cluster Services for Linux Administration Guide. Procedure Configuration Location: Specify the following: Configure CIS as a NCS cluster resource: Configures CIS in a cluster environment. By default, this option is enabled. Hostname / IP address: Specify the server address for standalone and resource or virtual IP address or hostname of the NCS cluster resource where the CIS server is part of. Configuration Path: Specify the NSS media path to store CIS configuration files and log files. For example, /media/nss/CISVOL1. If /media/nss/CISVOL1 is a cluster volume, then you need to modify the resource to update the Load and Unload script with CIS service. For more information about the scripts, refer to the “Configure CIS Services” in the “Cloud Integrated Storage Administration guide”. Database: Specify the following: Select either MariaDB or MS SQL database. Specify the database host name or IP address and port. By default, the database port for MariaDB is 3306 and MS SQL is 1433. Specify the user name and password for the database. Connection Parameters: If your MS SQL is configured with connection parameters, specify the value.This is not a mandatory field. Use secure connection: Enables or disables the database connection to be secure. By default, this option is disabled. If MariaDB database is selected, specify the following: Ensure to copy MariaDB client certificates to the CIS server. Client CA Certificate file path: Specify the path of client Certificate Authority (CA) file in.pem format. Client Certificate file path: Specify the path of the client certificate file in.pem format. Client Key file path: Specify the path of the key file associated with the client certificate in.pem format. Infrastructure Server Host name / IP address: Specify the host name or IP address of all the configured Infrastructure server HA nodes. Separate multiple entries with a comma. Click Validate. If there are errors, ensure to resolve them before you proceed. CIS Admin Name with Context: Specify the LDAP distinguished name (DN) of the user who administers the CIS server. For example, cn=admin,o=acme. Admin Password: Specify the password for the CIS administrator. Agent Search Context: Specify the LDAP distinguished name (DN) of the container object under which the NCP server objects of the OES server resides that connects to the CIS server. The OES server includes the agents that connects to the CIS server. The CIS admin user must have supervisory rights on this server context. Click Next. Review the configuration summary and then click Finish. This configures CIS in the 1st node in the cluster. On configuring the CIS services, the servercert.pem and serverkey.pem are copied to /etc/opt/novell/cis_prefixes/letc_cis/certs location. The servercert.pem is configured with the hostname and IP address of the cluster node. For CIS server to function as a cluster resource, you must replace it with the newly created servercert.pem file. For creating this certificate file, refer to the CIS Administration guide. Modify the Load, Unload and Monitor script. For more information about the scripts, refer to the “Configure CIS Services” in the “Cloud Integrated Storage Administration guide”. To add a new node to this cluster: Ensure that the CIS pattern is installed and updated with the latest patches. Ensure this node is part of the same cluster. Migrate the CIS resource to the new node.",
  "",
  0,
  "Choose this option to configure CIS as a single node or a NCS (Novell Cluster Services) cluster resource. Prerequisites Before you start with CIS ..."
 ],
 [
  "../cis_data_conf_04.html",
  "Configure Data Scale",
  "Choose this option to improve the latency of the data access. To achieve this, it is recommended to have the data server in the same geographical location as the agent. Data and Gateway Choose this option to configure the data and gateway service on this server. It is recommended to select this option if this is the first data scale server getting configured, because the gateway service provides load balancing on the data service. Host names: Specify the following: Data Server: Displays the host name or IP address of the local server. Configure gateway as a NCS cluster resource: Enables or disables the gateway as a NCS cluster resource. By default, this option is enabled. If this option is enabled, specify the IP address of the NCS cluster resource where gateway is configured. If this option is disabled, the host name or IP address of the local server is displayed. It is recommended to configure gateway as a cluster to avoid interruption of the service. General: Specify the following: CIS Server Address: Specify the host name or IP address where the CIS server is configured. Infrastructure Server Hostnames: Specify the host name or IP address of all the configured HA nodes. Separate multiple entries with a comma. Click Next. Review the configuration summary and then click Finish. Data Choose this option to configure the server as a standalone data server or connect the data server to an existing gateway server. Host names: Specify the following: Connect to Gateway server: Enables or disables the data server to connect to gateway. By default, this option is enabled. Data Server: Specify the host name or IP address of the local server that will be connected to gateway. Gateway: Specify the host name or IP address of the server where gateway service is configured. If this option is disabled, the host name or IP address of the local server is displayed. General: Specify the following: CIS Server Address: Specify the host name or IP address of the server that is configured with CIS. Infrastructure Server Host name: Specify the host name or IP address of all the configured HA nodes. Separate multiple entries with a comma. Click Next. Review the configuration summary and then click Finish. Gateway Choose this option to configure only the gateway service on this server. You can connect multiple data servers to this gateway server for load balancing, faster migration and recalls between the OES agents and data services. Host names: Specify the following: Configure gateway as a NCS cluster resource: Enables or disables the gateway as a NCS cluster resource. By default, this option is enabled. If this option is enabled, specify the IP address of the NCS cluster resource where the gateway is configured. If this option is disabled, the host name or IP address of the local server is displayed. General: Specify the following: CIS Server Address: Specify the host name or IP address where the CIS server is configured. Infrastructure Server Host name: Specify the host name or IP address of all the configured HA nodes. Separate multiple entries with a comma. Click Next. Review the configuration summary and then click Finish.",
  "",
  0,
  "Choose this option to improve the latency of the data access. To achieve this, it is recommended to have the data server in the same geographical ..."
 ],
 [
  "../legal.html",
  "Legal Notices",
  "Copyright 2023 Open Text The only warranties for products and services of Open Text and its affiliates and licensors (“Open Text”) are as may be set forth in the express warranty statements accompanying such products and services. Nothing herein should be construed as constituting an additional warranty. Open Text shall not be liable for technical or editorial errors or omissions contained herein. The information contained herein is subject to change without notice.",
  "",
  0,
  "Copyright 2023 Open Text The only warranties for products and services of Open Text and its affiliates and licensors (“Open Text”) are as may be set ..."
 ]
];

SEARCH_MODULE.searchArrayLoaded();