SEARCH_MODULE.searchArray = [
 [
  "../bookinfo.html",
  "OES 23.4: ayuda de configuración de CIS",
  "Octubre de 2023",
  "",
  0,
  "Octubre de 2023 ..."
 ],
 [
  "../cis_config_01.html",
  "Ayuda de configuración de Cloud Integrated Storage",
  "Cloud Integrated Storage (CIS) proporciona una consola para configurar CIS y sus componentes de infraestructura. Esta sección de ayuda proporciona información sobre la configuración de la distribución de CIS y sus componentes de infraestructura. Página de bienvenida de la configuración de CIS En esta página se explica el flujo de configuración de los componentes de CIS. Revise el flujo y luego seleccione el tipo de distribución según sus requisitos. CIS admite los siguientes tipos de distribución: Antes de configurar CIS, asegúrese de tener suficiente espacio disponible de disco en el sistema de archivos raíz para que CIS funcione correctamente.",
  "",
  0,
  "Cloud Integrated Storage (CIS) proporciona una consola para configurar CIS y sus componentes de infraestructura. Esta sección de ayuda proporciona ..."
 ],
 [
  "../cis_infra_conf_06.html",
  "Configurar CIS como servidor independiente",
  "Elija esta opción para configurar Apache Kafka, Apache ZooKeeper, OpenSearch, la base de datos y los servicios CIS en el mismo servidor. Procedimiento En Distribución de servidor único, seleccione Configurar CIS como servidor independiente y, a continuación, haga clic en Siguiente. Ubicación de configuración: Especifique lo siguiente: Nombre de host/Dirección IP: Especifique el nombre de dominio completo (FQDN) o la dirección IP del servidor en el que se va a configurar CIS. Por ejemplo, wdccisserver.labs.wdc.acme.com. Vía de configuración: Especifique la vía para almacenar los archivos de configuración y registro de CIS. Por defecto, la vía se define como raíz (/). Puede cambiarla a /home o /media/nss/VOLUMENAME en función de sus necesidades. Si utiliza /media/nss/CISVOL, es recomendable crear un nuevo volumen para CIS. Al utilizar un volumen existente, asegúrese de contar con un espacio disponible de 100 GB o más. Debe habilitar cisuser y cisgroup para LUM. Si /media/nss/CISVOL es un volumen de clúster, deberá modificar el recurso para actualizar el guión de carga y descarga con el servicio CIS. Para obtener más información sobre los guiones, consulte \"Configure CIS as a Standalone Server\" (Configurar CIS como servidor independiente) en la \"Cloud Integrated Storage Administration guide\" (Guía de administración de Cloud Integrated Storage). Base de datos: Especifique lo siguiente: Usar base de datos externa: habilite esta opción para configurar CIS con el servidor de base de datos que ya está configurado. Esta opción está inhabilitada por defecto. Si esta opción está inhabilitada, especifique la contraseña de MariaDB. Si esta opción está habilitada, especifique lo siguiente: Seleccione la base de datos MariaDB o MS SQL. Especifique el nombre de host o la dirección IP y el puerto de la base de datos. Por defecto, el puerto de la base de datos de MariaDB es 3306 y el de MS SQL es 1433. Especifique el nombre de usuario y la contraseña de la base de datos. Usar conexión segura: habilita o inhabilita la conexión segura de la base de datos. Esta opción está inhabilitada por defecto. Si se ha seleccionado la base de datos MariaDB, especifique lo siguiente: Asegúrese de copiar los certificados de cliente de MariaDB al servidor CIS. Vía al archivo de certificado de CA de cliente: especifique la vía al archivo de la autoridad certificadora (CA) de cliente en formato.pem. Vía al archivo de certificado de cliente: especifique la vía al archivo de certificado de cliente en formato.pem. Vía al archivo de clave de cliente: especifique la vía al archivo de clave asociado al certificado de cliente en formato.pem. ZooKeeper: Por defecto, se configura con la dirección IP del servidor CIS y el puerto de ZooKeeper es 2181. OpenSearch: Por defecto, se configura con la dirección IP del servidor CIS y el puerto de OpenSearch es 9400. Kafka: Por defecto, se configura con la dirección IP del servidor CIS y el puerto de Kafka es 9092. Haga clic en Siguiente. Nombre del administrador CIS con contexto: especifique el nombre completo de LDAP (DN) del usuario que administra el servidor CIS. Por ejemplo, cn=admin,o=acme. Contraseña del administrador: especifique la contraseña del administrador de CIS. Contexto de búsqueda de agente: Especifique el nombre completo de LDAP (DN) del objeto contenedor en el que residen los objetos del servidor NCP del servidor OES que se conecta al servidor CIS. El servidor OES incluye los agentes que se conectan al servidor CIS. El usuario administrador de CIS debe tener derechos de supervisión en este contexto de servidor. Haga clic en Siguiente. Revise el resumen de configuración y haga clic en Finalizar.",
  "",
  0,
  "Elija esta opción para configurar Apache Kafka, Apache ZooKeeper, OpenSearch, la base de datos y los servicios CIS en el mismo servidor."
 ],
 [
  "../infra_conf_02.html",
  "Configurar servicios de infraestructura",
  "Elija esta opción para configurar Apache Kafka, Apache ZooKeeper y OpenSearch en el modo de alta disponibilidad (HA). La configuración multinodo de alta disponibilidad del servidor de infraestructura ayuda a aumentar su eficiencia y disponibilidad. Es obligatorio configurar como mínimo tres nodos de alta disponibilidad. Puede configurar un máximo de siete nodos. Procedimiento Para preparar automáticamente el servidor para alta disponibilidad, haga clic en Iniciar. Después de realizar correctamente la configuración, haga clic en Aceptar. Vuelva a entrar en la consola para ver los pasos necesarios para completar la configuración del servicio de infraestructura (mediante CLI). (Utilizando CLI) Para configurar Docker Swarm, lleve a cabo los siguientes pasos en la consola de terminal de este servidor: Abra una consola de terminal y luego entre como usuario root. Inicialice un Docker Swarm con el siguiente comando: docker swarm init Cree un testigo y añada un gestor a este swarm utilizando el siguiente comando: docker swarm join-token manager Salida del comando: docker swarm join --token < valor_testigo > < dirección_host :2377> Anote la salida de este comando, ya que debe ejecutarse la misma salida en todos los demás nodos de alta disponibilidad para poder unirse a este Docker Swarm. Una vez realizada correctamente la configuración, vaya al siguiente nodo de alta disponibilidad, realice el paso1 y después una este servidor al Docker Swarm creado en el primer nodo utilizando el siguiente comando: docker swarm join --token <testigo_swarm_generado_en_primer_nodo> <nombredehost_primer_nodo>:2377 Repita este paso en todos los nodos del servidor de infraestructura. En el último nodo de alta disponibilidad, inicie los servicios de infraestructura con el siguiente comando: sh /opt/novell/cis/bin/cis_ext_service.sh start Una vez configurados correctamente los servicios de infraestructura, continúe con.",
  "",
  0,
  "Elija esta opción para configurar Apache Kafka, Apache ZooKeeper y OpenSearch en el modo de alta disponibilidad (HA). La configuración multinodo de ..."
 ],
 [
  "../cis_conf_03.html",
  "Configurar servicios de CIS",
  "Elija esta opción para configurar CIS como nodo único o como recurso de clúster de NCS (Novell Cluster Services). Requisitos previos Antes de comenzar la configuración de CIS, asegúrese de que estén configurados los servicios de base de datos e infraestructura (en modo de clúster). Asegúrese de que el nombre de host o la dirección IP del recurso de clúster estén reservados para la configuración del clúster. Para que el servidor CIS funcione en un entorno de clúster, asegúrese de que todos los nodos se hayan configurado con OES 23.4. Novell Cluster Services debe estar instalado y en funcionamiento en los servidores que tengan instalado CIS. Para obtener información, consulte Installing, Configuring, and Repairing Novell Cluster Services (Instalación, configuración y reparación de Novell Cluster Services) en OES Cluster Services for Linux Administration Guide (Guía de administración de OES Cluster Services para Linux). Procedimiento Ubicación de configuración: Especifique lo siguiente: Configurar CIS como recurso de clúster de NCS: Configura CIS en un entorno de clúster. por defecto, esta opción está habilitada. Nombre de host/dirección IP: Especifique la dirección del servidor para el servidor independiente y el recurso, o el nombre de host o la dirección IP virtuales del recurso de clúster NCS del que forma parte el servidor CIS. Vía de configuración: Especifique la vía a los recursos NSS para almacenar los archivos de configuración y registro de CIS. Por ejemplo, /media/nss/CISVOL1. Si /media/nss/CISVOL1 es un volumen de clúster, deberá modificar el recurso para actualizar el guión de carga y descarga con el servicio CIS. Para obtener más información sobre los guiones, consulte \"Configure CIS Services\" (Configurar servicios de CIS) en la \"Cloud Integrated Storage Administration guide\" (Guía de administración de Cloud Integrated Storage). Base de datos: Especifique lo siguiente: Seleccione la base de datos MariaDB o MS SQL. Especifique el nombre de host o la dirección IP y el puerto de la base de datos. Por defecto, el puerto de la base de datos de MariaDB es 3306 y el de MS SQL es 1433. Especifique el nombre de usuario y la contraseña de la base de datos. Parámetros de conexión: Si se ha configurado MS SQL con parámetros de conexión, especifique el valor. Este campo no es obligatorio. Usar conexión segura: habilita o inhabilita la conexión segura de la base de datos. Esta opción está inhabilitada por defecto. Si se ha seleccionado la base de datos MariaDB, especifique lo siguiente: Asegúrese de copiar los certificados de cliente de MariaDB al servidor CIS. Vía al archivo de certificado de CA de cliente: especifique la vía al archivo de la autoridad certificadora (CA) de cliente en formato.pem. Vía al archivo de certificado de cliente: especifique la vía al archivo de certificado de cliente en formato.pem. Vía al archivo de clave de cliente: especifique la vía al archivo de clave asociado al certificado de cliente en formato.pem. Nombre de host/dirección IP del servidor de infraestructura: especifique el nombre de host o la dirección IP de todos los nodos de alta disponibilidad del servidor de infraestructura configurados. Separe las distintas entradas por una coma. Haga clic en Validar. Si hay errores, asegúrese de solucionarlos antes de continuar. Nombre del administrador CIS con contexto: especifique el nombre completo de LDAP (DN) del usuario que administra el servidor CIS. Por ejemplo, cn=admin,o=acme. Contraseña del administrador: especifique la contraseña del administrador de CIS. Contexto de búsqueda de agente: Especifique el nombre completo de LDAP (DN) del objeto contenedor en el que residen los objetos del servidor NCP del servidor OES que se conecta al servidor CIS. El servidor OES incluye los agentes que se conectan al servidor CIS. El usuario administrador de CIS debe tener derechos de supervisión en este contexto de servidor. Haga clic en Siguiente. Revise el resumen de configuración y haga clic en Finalizar. De este modo, se configura CIS en el primer nodo del clúster. Al configurar los servicios de CIS, los archivos servercert.pem y serverkey.pem se copian en /etc/opt/novell/cis_prefixes/letc_cis/certs. El archivo servercert.pem se configura con el nombre de host y la dirección IP del nodo de clúster. Para que el servidor CIS funcione como un recurso de clúster, deberá sustituirlo por el archivo servercert.pem recién creado. Para crear este archivo de certificado, consulte la guía de administración de CIS. Modifique el guión de carga, descarga y monitor. Para obtener más información sobre los guiones, consulte \"Configure CIS Services\" (Configurar servicios de CIS) en la \"Cloud Integrated Storage Administration guide\" (Guía de administración de Cloud Integrated Storage). Para añadir un nuevo nodo a este clúster: Asegúrese de que el patrón de CIS esté instalado y actualizado con los parches más recientes. Asegúrese de que este nodo forma parte del mismo clúster. Migre el recurso de CIS al nuevo nodo.",
  "",
  0,
  "Elija esta opción para configurar CIS como nodo único o como recurso de clúster de NCS (Novell Cluster Services). Requisitos previos Antes de ..."
 ],
 [
  "../cis_data_conf_04.html",
  "Configurar escala de datos",
  "Seleccione esta opción para mejorar la latencia en el acceso a los datos. Para ello, es recomendable que el servidor de datos se encuentre en la misma ubicación geográfica que el agente. Datos y gateway Seleccione esta opción para configurar el servicio de datos y gateway en este servidor. Se recomienda seleccionar esta opción si este el primer servidor de escala de datos que se configura, porque el servicio de gateway proporciona equilibrio de carga en el servicio de datos. Nombres de hosts: Especifique lo siguiente: Servidor de datos: muestra el nombre host o la dirección IP del servidor local. Configurar gateway como recurso de clúster de NCS: habilita o inhabilita el gateway como recurso de clúster de NCS. por defecto, esta opción está habilitada. Si esta opción está habilitada, especifique la dirección IP del recurso de clúster de NCS en el que está configurado el gateway. Si esta opción está inhabilitada, se visualizará el nombre de host o la dirección IP del servidor local. Se recomienda configurar el gateway como clúster para evitar la interrupción del servicio. General: Especifique lo siguiente: Dirección del servidor CIS: especifique el nombre de host o la dirección IP en la que se ha configurado el servidor CIS. Nombres de host del servidor de infraestructura: especifique el nombre de host o la dirección IP de todos los nodos de alta disponibilidad configurados. Separe las distintas entradas por una coma. Haga clic en Siguiente. Revise el resumen de configuración y haga clic en Finalizar. Datos Elija esta opción para configurar el servidor como servidor de datos independiente o conecte el servidor de datos a un servidor de gateway existente. Nombres de hosts: Especifique lo siguiente: Conectarse al servidor de gateway: habilita o inhabilita el servidor de datos para conectarse al gateway. por defecto, esta opción está habilitada. Servidor de datos: Especifique el nombre de host o la dirección IP del servidor local que se conectará al gateway. Gateway: Especifique el nombre de host o dirección IP del servidor donde está configurado el servicio de gateway. Si esta opción está inhabilitada, se visualizará el nombre de host o la dirección IP del servidor local. General: Especifique lo siguiente: Dirección del servidor CIS: especifique el nombre de host o la dirección IP del servidor que se ha configurado con CIS. Nombre de host del servidor de infraestructuras: especifique el nombre de host o la dirección IP de todos los nodos de alta disponibilidad configurados. Separe las distintas entradas por una coma. Haga clic en Siguiente. Revise el resumen de configuración y haga clic en Finalizar. Gateway Elija esta opción para configurar solamente el servicio de gateway en este servidor. Puede conectar varios servidores de datos a este servidor de gateway para el equilibrio de carga, y una migración y recuperaciones más rápidas entre agentes de OES y servicios de datos. Nombres de hosts: Especifique lo siguiente: Configurar gateway como recurso de clúster de NCS: habilita o inhabilita el gateway como recurso de clúster de NCS. por defecto, esta opción está habilitada. Si esta opción está habilitada, especifique la dirección IP del recurso de clúster de NCS en el que está configurado el gateway. Si esta opción está inhabilitada, se visualizará el nombre de host o la dirección IP del servidor local. General: Especifique lo siguiente: Dirección del servidor CIS: especifique el nombre de host o la dirección IP en la que se ha configurado el servidor CIS. Nombre de host del servidor de infraestructuras: especifique el nombre de host o la dirección IP de todos los nodos de alta disponibilidad configurados. Separe las distintas entradas por una coma. Haga clic en Siguiente. Revise el resumen de configuración y haga clic en Finalizar.",
  "",
  0,
  "Seleccione esta opción para mejorar la latencia en el acceso a los datos. Para ello, es recomendable que el servidor de datos se encuentre en la ..."
 ],
 [
  "../legal.html",
  "Información legal",
  "Copyright 2023 Open Text Las únicas garantías de los productos y servicios de Open Text y sus afiliados y licenciantes (\"Open Text\") pueden establecerse en las declaraciones de garantía expresas que acompañan a dichos productos y servicios. Nada de lo establecido en este documento debe interpretarse como una garantía adicional. Open Text no se responsabiliza de los errores técnicos o editoriales ni de las omisiones que se incluyan en este documento. La información contenida en este documento está sujeta a cambios sin previo aviso.",
  "",
  0,
  "Copyright 2023 Open Text Las únicas garantías de los productos y servicios de Open Text y sus afiliados y licenciantes (\"Open Text\") pueden ..."
 ]
];

SEARCH_MODULE.searchArrayLoaded();