SEARCH_MODULE.searchArray = [
 [
  "../bookinfo.html",
  "OES 23.4 : Aide de la configuration de CIS",
  "Octobre 2023",
  "",
  0,
  "Octobre 2023 ..."
 ],
 [
  "../cis_config_01.html",
  "Aide de la configuration de Cloud Integrated Storage",
  "Cloud Integrated Storage (CIS) fournit une console permettant de configurer CIS et ses composants d'infrastructure. Cette rubrique couvre la configuration du déploiement de CIS et de ses composants d'infrastructure. Page d'accueil de la configuration de CIS Cette page explique le flux de configuration des composants CIS. Passez en revue le flux, puis sélectionnez le type de déploiement selon vos besoins. CIS prend en charge les types de déploiements suivants : Avant de configurer CIS, assurez-vous qu'il y a suffisamment d'espace disque disponible sur le système de fichiers racine pour que CIS fonctionne correctement.",
  "",
  0,
  "Cloud Integrated Storage (CIS) fournit une console permettant de configurer CIS et ses composants d'infrastructure. Cette rubrique couvre la ..."
 ],
 [
  "../cis_infra_conf_06.html",
  "Configurer CIS en tant que serveur autonome",
  "Choisissez cette option pour configurer Apache Kafka, Apache ZooKeeper, OpenSearch, la base de données et les services CIS sur le même serveur. Procédure Sous Déploiement de serveur unique, sélectionnez Configurer CIS en tant que serveur autonome, puis cliquez sur Suivant. Emplacement de configuration : spécifiez les informations suivantes : Nom d'hôte/adresse IP : indiquez le nom de domaine complet (FQDN) ou l'adresse IP du serveur sur lequel CIS sera configuré. Par exemple, wdccisserver.labs.wdc.acme.com. Chemin de configuration : indiquez le chemin d'accès pour stocker les fichiers de configuration et les fichiers journaux CIS. Le chemin par défaut est défini sur la racine (/). Vous pouvez le remplacer par /home ou /media/nss/NOM_VOLUME en fonction de vos besoins. Si vous utilisez /media/nss/CISVOL, il est recommandé de créer un volume pour CIS. Lorsque vous utilisez un volume existant, assurez-vous que l'espace disponible est de 100 Go ou plus. Vous devez activer LUM pour le cisuser et le cisgroup. Si /media/nss/CISVOL est un volume de grappe, vous devez modifier la ressource pour mettre à jour le script de chargement et de déchargement avec le service CIS. Pour plus d'informations sur les scripts, reportez-vous à la section «Configure CIS as a Standalone Server » (Configurer CIS en tant que serveur autonome) dans le document « Cloud Integrated Storage Administration Guide » (Guide d'administration de Cloud Integrated Storage). Base de données : Spécifiez les informations suivantes : Utiliser une base de données externe : Activez cette option pour configurer CIS avec le serveur de base de données déjà configuré. Par défaut, cette option est désactivée. Si cette option est désactivée, spécifiez le mot de passe MariaDB. Si cette option est activée, spécifiez les informations suivantes : Sélectionnez la base de données MariaDB ou MS SQL. Indiquez l'adresse IP ou le nom d'hôte de la base de données et le port. Par défaut, le port de base de données pour MariaDB est 3306 et pour MS SQL est 1433. Spécifiez le nom d'utilisateur et le mot de passe pour la base de données. Utiliser une connexion sécurisée : active ou désactive la sécurisation de la connexion à la base de données. Par défaut, cette option est désactivée. Si la base de données MariaDB est sélectionnée, spécifiez les options suivantes : veillez à copier les certificats du client MariaDB sur le serveur CIS. Chemin du fichier de certificat de l'autorité de certification du client : indiquez le chemin du fichier de l'autorité de certification (CA-Certificate Authority) du client au format.pem. Chemin du fichier de certificat du client : indiquez le chemin du fichier de certificat du client au format.pem. Chemin du fichier de clé du client : indiquez le chemin du fichier de clé associé au certificat du client au format.pem. ZooKeeper : Par défaut, il est configuré avec l'adresse IP du serveur CIS et le port ZooKeeper est 2181. OpenSearch : Par défaut, il est configuré avec l'adresse IP du serveur CIS et le port OpenSearch est 9400. Kafka : Par défaut, il est configuré avec l'adresse IP du serveur CIS et le port Kafka est 9092. Cliquez sur Suivant. Nom de l'administrateur CIS avec contexte : indiquez le nom distinctif (DN) LDAP de l'utilisateur qui administre le serveur CIS. Par exemple, cn=admin,o=acme. Mot de passe de l'administrateur : spécifiez le mot de passe de l'administrateur CIS. Contexte de recherche d'agent : indiquez le nom distinctif (DN) LDAP de l'objet Conteneur sous lequel résident les objets serveur NCP du serveur OES qui se connecte au serveur CIS. Le serveur OES comprend les agents qui se connectent au serveur CIS. L'utilisateur admin CIS doit détenir des droits de superviseur sur ce contexte de serveur. Cliquez sur Suivant. Passez en revue le résumé de configuration, puis cliquez sur Terminer.",
  "",
  0,
  "Choisissez cette option pour configurer Apache Kafka, Apache ZooKeeper, OpenSearch, la base de données et les services CIS sur le même serveur."
 ],
 [
  "../infra_conf_02.html",
  "Configurer les services d'infrastructure",
  "Choisissez cette option pour configurer Apache Kafka, Apache ZooKeeper et OpenSearch en mode haute disponibilité (HA). Une configuration de haute disponibilité multi nœud du serveur d'infrastructure permet d'améliorer l'efficacité et la disponibilité du serveur d'infrastructure. Il est obligatoire de configurer au moins trois nœuds haute disponibilité. Vous pouvez configurer jusqu'à sept noeuds. Procédure Pour créer un serveur compatible avec la haute disponibilité, cliquez sur Démarrer. Une fois la configuration réussie, cliquez sur OK. Reconnectez-vous à la console pour afficher les étapes permettant de terminer la configuration du service d'infrastructure (à l'aide de l'interface de ligne de commande). (À l'aide de l'interface de ligne de commande) Pour configurer Docker Swarm, effectuez la procédure suivante sur la console de terminal de ce serveur : Ouvrez une console de terminal, puis connectez-vous en tant qu'utilisateur root. Initialisez Docker Swarm à l'aide de la commande suivante : docker swarm init Créez un jeton et ajoutez un gestionnaire à cet essaim à l'aide de la commande suivante : docker swarm join-token manager Résultat de l'exécution de la commande : docker swarm join --token < valeur_jeton > < adresse_hôte :2377> Prenez note du résultat de cette commande, étant donné que le même résultat doit être obtenu sur tous les autres noeuds haute disponibilité qui vont rejoindre cette instance de Docker Swarm. Une fois la configuration réussie, accédez au noeud haute disponibilité suivant, effectuez l' étape 1, puis reliez ce serveur à l'instance Docker Swarm créée sur le premier noeud à l'aide de la commande suivante : docker swarm join --token <jeton_essaim_généré_à_partir_du_premier_nœud> <nom_hôte_premier_nœud>:2377 Répétez cette étape sur tous les nœuds du serveur d'infrastructure. Sur le dernier nœud haute disponibilité, démarrez les services d'infrastructure à l'aide de la commande suivante : sh /opt/novell/cis/bin/cis_ext_service.sh start Une fois la configuration des services d'infrastructure réussie, passez à.",
  "",
  0,
  "Choisissez cette option pour configurer Apache Kafka, Apache ZooKeeper et OpenSearch en mode haute disponibilité (HA). Une configuration de haute ..."
 ],
 [
  "../cis_conf_03.html",
  "Configurer les services CIS",
  "Choisissez cette option pour configurer CIS en tant que noeud unique ou ressource de grappe NCS (Novell Cluster Services). Conditions préalables Avant de commencer la configuration de CIS, vérifiez que les services d'infrastructure et de base de données sont configurés (en mode Grappe). Assurez-vous que l'adresse IP ou le nom d'hôte de la ressource de grappe est réservé pour la configuration de la grappe. Pour que le serveur CIS fonctionne dans un environnement de grappe, assurez-vous que tous les nœuds sont configurés avec OES 23.4. Novell Cluster Services doit être installé et en cours d'exécution sur les serveurs sur lesquels CIS est installé. Pour plus d'informations, reportez-vous à la section Installation, configuration et réparation de Novell Cluster Services dans le guide d'administration d'OES Cluster Services pour Linux. Procédure Emplacement de configuration : Spécifiez les informations suivantes : Configurer CIS en tant que ressource de grappe NCS : configure CIS dans un environnement de grappe. Cette option est activée par défaut. Nom d'hôte/adresse IP : indiquez l'adresse du serveur pour la ressource autonome ou l'adresse IP ou le nom d'hôte de la ressource de grappe NCS dont le serveur CIS fait partie. Chemin de configuration : indiquez le chemin du supportؘ NSS pour stocker les fichiers de configuration et les fichiers journaux CIS. Par exemple, /media/nss/CISVOL1. Si /media/nss/CISVOL1 est un volume de grappe, vous devez modifier la ressource pour mettre à jour le script de chargement et de déchargement avec le service CIS. Pour plus d'informations sur les scripts, reportez-vous à la section « Configure CIS Services » (Configuration des services CIS) dans le document « Cloud Integrated Storage Administration Guide » (Guide d'administration de Cloud Integrated Storage). Base de données : Spécifiez les informations suivantes : Sélectionnez la base de données MariaDB ou MS SQL. Indiquez l'adresse IP ou le nom d'hôte de base de données et le port. Par défaut, le port de base de données pour MariaDB est 3306 et pour MS SQL est 1433. Spécifiez le nom d'utilisateur et le mot de passe pour la base de données. Paramètres de connexion : si MS SQL est configuré avec des paramètres de connexion, spécifiez la valeur. Ce champ n'est pas obligatoire. Utiliser une connexion sécurisée : active ou désactive la sécurisation de la connexion à la base de données. Par défaut, cette option est désactivée. Si la base de données MariaDB est sélectionnée, spécifiez les options suivantes : veillez à copier les certificats du client MariaDB sur le serveur CIS. Chemin du fichier de certificat de l'autorité de certification du client : indiquez le chemin du fichier de l'autorité de certification (CA-Certificate Authority) du client au format.pem. Chemin du fichier de certificat du client : indiquez le chemin du fichier de certificat du client au format.pem. Chemin du fichier de clé du client : indiquez le chemin du fichier de clé associé au certificat du client au format.pem. Nom d'hôte/adresse IP du serveur infrastructure : Indiquez le nom d'hôte ou l'adresse IP de tous les nœuds haute disponibilité configurés sur le serveur d'infrastructure. Séparez les entrées multiples par une virgule. Cliquez sur Valider. Si des erreurs surviennent, veillez à les résoudre avant de poursuivre. Nom de l'administrateur CIS avec contexte : indiquez le nom distinctif (DN) LDAP de l'utilisateur qui administre le serveur CIS. Par exemple, cn=admin,o=acme. Mot de passe de l'administrateur : spécifiez le mot de passe de l'administrateur CIS. Contexte de recherche d'agent : indiquez le nom distinctif (DN) LDAP de l'objet Conteneur sous lequel résident les objets serveur NCP du serveur OES qui se connecte au serveur CIS. Le serveur OES comprend les agents qui se connectent au serveur CIS. L'utilisateur admin CIS doit détenir des droits de superviseur sur ce contexte de serveur. Cliquez sur Suivant. Passez en revue le résumé de configuration, puis cliquez sur Terminer. Cette opération configure CIS dans le premier nœud de la grappe. Lors de la configuration des services CIS, les fichiers servercert.pem et serverkey.pem sont copiés à l'emplacement /etc/opt/novell/cis_prefixes/letc_cis/certs. Le fichier servercert.pem est configuré avec le nom d'hôte et l'adresse IP du noeud de grappe. Pour que le serveurؘ CIS fonctionne en tant que ressource de grappe, vous devez le remplacer par le nouveau fichier servercert.pem. Pour créer ce fichier de certificat, reportez-vous au guide d'administration de CIS. Modifiez le script de chargement, de déchargement et de surveillance. Pour plus d'informations sur les scripts, reportez-vous à la section « Configure CIS Services » (Configuration des services CIS) dans le document « Cloud Integrated Storage Administration Guide » (Guide d'administration de Cloud Integrated Storage). Pour ajouter un nouveau nœud à cette grappe : Assurez-vous que le modèle CIS est installé et mis à jour avec les derniers correctifs. Assurez-vous que ce nœud fait partie de la même grappe. Migrez la ressource CIS vers le nouveau nœud.",
  "",
  0,
  "Choisissez cette option pour configurer CIS en tant que noeud unique ou ressource de grappe NCS (Novell Cluster Services). Conditions préalables ..."
 ],
 [
  "../cis_data_conf_04.html",
  "Configurer l'évolutivité des données",
  "Choisissez cette option afin d'améliorer le temps de latence de l'accès aux données. Pour ce faire, il est recommandé d'installer le serveur de données au même emplacement géographique que l'agent. Données et passerelle Choisissez cette option pour configurer les données et le service de passerelle sur ce serveur. Il est recommandé de sélectionner cette option s'il s'agit du premier serveur d'évolutivité des données configuré, parce que le service de passerelle fournit un équilibrage de charge sur le service de données. Noms d'hôte : Spécifiez les informations suivantes : Serveur de données : Affiche le nom d'hôte ou l'adresse IP du serveur local. Configurer la passerelle en tant que ressource de grappe NCS : active ou désactive la passerelle en tant que ressource de grappe NCS. Cette option est activée par défaut. Si cette option est activée, indiquez l'adresse IP de la ressource de grappe NCS sur laquelle la passerelle est configurée. Si cette option est désactivée, le nom d'hôte ou l'adresse IP du serveur local s'affiche. Il est recommandé de configurer la passerelle en tant que grappe afin d'éviter l'interruption du service. Général : Spécifiez les informations suivantes : Adresse du serveur CIS : indiquez le nom d'hôte ou l'adresse IP sur laquelle le serveur CIS est configuré. Noms d'hôte des serveurs d'infrastructure : indiquez le nom d'hôte ou l'adresse IP de tous les noeuds haute disponibilité configurés. Séparez les entrées multiples par une virgule. Cliquez sur Suivant. Passez en revue le résumé de configuration, puis cliquez sur Terminer. Données Choisissez cette option pour configurer le serveur en tant que serveur de données autonome ou connectez le serveur de données à un serveur de passerelle existant. Noms d'hôte : Spécifiez les informations suivantes : Se connecter au serveur de passerelle : active ou désactive le serveur de données pour se connecter à la passerelle. Cette option est activée par défaut. Serveur de données : indiquez le nom d'hôte ou l'adresse IP du serveur local à connecter à la passerelle. Passerelle : spécifiez le nom d'hôte ou l'adresse IP du serveur sur lequel le service de passerelle est configuré. Si cette option est désactivée, le nom d'hôte ou l'adresse IP du serveur local s'affiche. Général : Spécifiez les informations suivantes : Adresse du serveur CIS : indiquez le nom d'hôte ou l'adresse IP du serveur qui est configuré avec CIS. Nom d'hôte du serveur d'infrastructure : indiquez le nom d'hôte ou l'adresse IP de tous les noeuds haute disponibilité configurés. Séparez les entrées multiples par une virgule. Cliquez sur Suivant. Passez en revue le résumé de configuration, puis cliquez sur Terminer. Passerelle Choisissez cette option pour configurer uniquement le service de passerelle sur ce serveur. Vous pouvez connecter plusieurs serveurs de données à ce serveur de passerelle pour équilibrer la charge et accélérer la migration et les rappels entre les agents OES et les services de données. Noms d'hôte : Spécifiez les informations suivantes : Configurer la passerelle en tant que ressource de grappe NCS : active ou désactive la passerelle en tant que ressource de grappe NCS. Cette option est activée par défaut. Si cette option est activée, indiquez l'adresse IP de la ressource de grappe NCS sur laquelle la passerelle est configurée. Si cette option est désactivée, le nom d'hôte ou l'adresse IP du serveur local s'affiche. Général : Spécifiez les informations suivantes : Adresse du serveur CIS : indiquez le nom d'hôte ou l'adresse IP sur laquelle le serveur CIS est configuré. Nom d'hôte du serveur d'infrastructure : indiquez le nom d'hôte ou l'adresse IP de tous les noeuds haute disponibilité configurés. Séparez les entrées multiples par une virgule. Cliquez sur Suivant. Passez en revue le résumé de configuration, puis cliquez sur Terminer.",
  "",
  0,
  "Choisissez cette option afin d'améliorer le temps de latence de l'accès aux données. Pour ce faire, il est recommandé d'installer le serveur de ..."
 ],
 [
  "../legal.html",
  "Mentions légales",
  "Copyright 2023 Open Text Les seules garanties pour les produits et services d'Open Text et de ses filiales et concédants de licence (« Open Text ») sont énoncées dans les déclarations de garantie expresses accompagnant ces produits et services. Aucun élément du présent document ne doit être interprété comme constituant une garantie supplémentaire. Open Text ne pourra pas être tenu responsable des erreurs techniques ou éditoriales ou des omissions contenues dans le présent document. Les informations contenues dans le présent document sont susceptibles d'être modifiées sans préavis.",
  "",
  0,
  "Copyright 2023 Open Text Les seules garanties pour les produits et services d'Open Text et de ses filiales et concédants de licence (« Open Text ») ..."
 ]
];

SEARCH_MODULE.searchArrayLoaded();