SEARCH_MODULE.searchArray = [
 [
  "../bookinfo.html",
  "OES 23.4: Ajuda de configuração do CIS",
  "Outubro de 2023",
  "",
  0,
  "Outubro de 2023 ..."
 ],
 [
  "../cis_config_01.html",
  "Ajuda de configuração Cloud Integrated Storage",
  "O Cloud Integrated Storage (CIS) fornece um console para configurar o CIS e seus componentes de infraestrutura. Essa ajuda abrange a configuração da implantação do CIS e de seus componentes de infraestrutura. Página de boas-vindas de configuração CIS Esta página explica o fluxo de configuração dos componentes do CIS. Analise o fluxo e selecione o tipo de implantação conforme os seus requisitos. O CIS suporta os seguintes tipos de implantação: Antes de configurar o CIS, verifique se há espaço em disco suficiente disponível no sistema de arquivos raiz para o CIS funcionar adequadamente.",
  "",
  0,
  "O Cloud Integrated Storage (CIS) fornece um console para configurar o CIS e seus componentes de infraestrutura. Essa ajuda abrange a configuração da ..."
 ],
 [
  "../cis_infra_conf_06.html",
  "Configurar o CIS como um Servidor Independente",
  "Escolha esta opção para configurar o Apache Kafka, o Apache ZooKeeper, o OpenSearch, o banco de dados e os serviços do CIS no mesmo servidor. Procedimento Em Implantação de Servidor Único, selecione Configurar CIS como um Servidor Independente e clique em Próximo. Local da Configuração: Especifique o seguinte: Nome de host/Endereço IP: Especifique o FQDN (Fully Qualified Domain Name – Nome de Domínio Completo e Qualificado) ou o endereço IP do servidor no qual o CIS será configurado. Por exemplo, wdccisserver.labs.wdc.acme.com. Caminho de Configuração: Especifique o caminho para os arquivos de registro e arquivos de configuração do CIS. Por padrão, o caminho é definido como raiz (/). Você pode modificá-lo para /home ou /media/nss/VOLUMENAME, dependendo da sua necessidade. Caso você esteja usando /media/nss/CISVOL, é recomendável criar um novo volume para o CIS. Ao usar um volume existente, verifique se o espaço disponível é de 100 GB ou mais. Você deve habilitar o cisuser e o cisgroup para o LUM. Se /media/nss/CISVOL for um volume de cluster, será necessário modificar o recurso para atualizar o script de carregamento e descarregamento com o serviço do CIS. Para obter mais informações sobre os scripts, consulte “Configure CIS as a Standalone Server” (Configurar o CIS como um servidor independente) no “Cloud Integrated Storage Administration guide” (Guia de administração do Cloud Integrated Storage). Banco de Dados: Especifique o seguinte: Usar banco de dados externo: Habilite esta opção para configurar o CIS com o servidor do banco de dados já configurado. Por padrão, essa opção está desabilitada. Se esta opção estiver desabilitada, especifique a senha do MariaDB. Se esta opção estiver habilitada, especifique o seguinte: Selecione o banco de dados MariaDB ou MS SQL. Especifique o nome de host do banco de dados ou o endereço IP e a porta. Por padrão, a porta do banco de dados para MariaDB é 3306 e para MS SQL é 1433. Especifique o nome de usuário e a senha do banco de dados. Use uma conexão segura: Habilita ou desabilita a segurança da conexão do banco de dados. Por padrão, essa opção está desabilitada. Se o banco de dados MariaDB estiver selecionado, especifique o seguinte: Lembre-se de copiar os certificados de cliente do MariaDB para o servidor do CIS. Caminho de arquivo do Certificado CA do Cliente: Especifique o caminho do arquivo CA (Certificate Authority – Autoridade de Certificação) do cliente no formato.pem. Caminho de arquivo do Certificado do Cliente: Especifique o caminho do arquivo do certificado do cliente no formato.pem. Caminho de arquivo da Chave do Cliente: Especifique o caminho do arquivo de chave associado ao certificado do cliente no formato.pem. ZooKeeper: Por padrão, ele é configurado com o IP do servidor CIS e a porta ZooKeeper é 2181. OpenSearch: Por padrão, ele é configurado com o IP do servidor do CIS, e a porta OpenSearch é 9400. Kafka: Por padrão, ele é configurado com o IP do servidor CIS e a porta Kafka é 9092. Clique em Próximo. Nome de Admin do CIS com contexto: Especifique o nome exclusivo (DN) LDAP do usuário que administra o servidor CIS. Por exemplo, cn=admin, o=acme. Senha de Admin: Especifique a senha do administrador do CIS. Contexto de Pesquisa do Agente: Especifique o nome exclusivo (DN) LDAP do objeto Container sob o qual residem os objetos do servidor NCP do servidor OES que se conecta ao servidor CIS. O servidor OES inclui os agentes que se conectam ao servidor CIS. O usuário admin do CIS deve ter direitos de supervisão neste contexto de servidor. Clique em Avançar. Analise o resumo da configuração e clique em Terminar.",
  "",
  0,
  "Escolha esta opção para configurar o Apache Kafka, o Apache ZooKeeper, o OpenSearch, o banco de dados e os serviços do CIS no mesmo servidor."
 ],
 [
  "../infra_conf_02.html",
  "Configurar os Serviços de Infraestrutura",
  "Selecione esta opção para configurar o Apache Kafka, o Apache ZooKeeper e o OpenSearch no modo de alta disponibilidade (HA). Uma configuração de alta disponibilidade de vários nós do servidor de infraestrutura ajuda a aumentar a eficiência e a disponibilidade do servidor de infraestrutura. É obrigatório configurar no mínimo três nós HA. Você pode configurar até sete nós. Procedimento Para deixar o servidor HA pronto de forma automática, clique em Iniciar. Após a configuração bem-sucedida, clique em OK. Efetue um novo login no console para ver as etapas e concluir a configuração do serviço de infraestrutura (usando a CLI). (Usando a CLI) Para configurar o Docker Swarm, faça o seguinte no console de terminal deste servidor: Abra um console de terminal e efetue login como um usuário raiz. Inicialize um Docker Swarm usando o seguinte comando: docker swarm init Crie um token e adicione um gerenciador a esta nuvem usando o seguinte comando: docker swarm join-token manager Saída de comando: docker swarm join --token < token_value > < host_address :2377> Anote esta saída de comando, pois ela deve ser executada em todos os outros nós HA que se unam a este Docker Swarm. Após uma configuração bem-sucedida, vá para o próximo nó HA, execute a etapa1 e conecte este servidor ao Docker Swarm criado no primeiro nó usando o seguinte comando: docker swarm join --token <swarm_token_gererated_from_first_node> <first_node_hostname>:2377 Repita essa etapa em todos os nós do servidor de infraestrutura. No último nó HA, inicie os serviços de infraestrutura usando o seguinte comando: sh /opt/novell/cis/bin/cis_ext_service.sh start Após uma configuração bem-sucedida dos serviços de infraestrutura, continue com.",
  "",
  0,
  "Selecione esta opção para configurar o Apache Kafka, o Apache ZooKeeper e o OpenSearch no modo de alta disponibilidade (HA). Uma configuração de ..."
 ],
 [
  "../cis_conf_03.html",
  "Configurar os serviços do CIS",
  "Selecione esta opção para configurar o CIS como um nó único ou um recurso de cluster do NCS (Novell Cluster Services). Pré-requisitos Antes de iniciar a configuração do CIS, verifique se o banco de dados e os serviços de infraestrutura (no modo de cluster) estão configurados. Verifique se o nome de host ou o endereço IP de recurso de cluster está reservado para a configuração do cluster. Para que o servidor do CIS funcione em um ambiente de cluster, verifique se todos os nós estão configurados com o OES 23.4. Os Novell Cluster Services devem ser instalados e estar em execução nos servidores que têm o CIS instalado. Para obter informações, consulte Instalando, configurando e reparando o Novell Cluster Services no Guia de Administração do OES Cluster Services para Linux. Procedimento Local da Configuração: Especifique o seguinte: Configure o CIS como um recurso de cluster do NCS: Configura o CIS em um ambiente de cluster. Por padrão, esta opção está habilitada. Nome de host/Endereço IP: Especifique o endereço do servidor para o endereço IP independente ou de recurso ou virtual ou nome de host do recurso de cluster do NCS do qual o servidor CIS faz parte. Caminho de Configuração: Especifique o caminho de mídia do NSS para os arquivos de registro e arquivos de configuração do CIS. Por exemplo, /mídia/nss/CISVOL1. Se /media/nss/CISVOL1 for um volume de cluster, será necessário modificar o recurso para atualizar o script de carregamento e descarregamento com o serviço do CIS. Para obter mais informações sobre os scripts, consulte “Configure CIS Services” (Configurar os serviços do CIS) no “Cloud Integrated Storage Administration guide” (Guia de administração do Cloud Integrated Storage). Banco de Dados: Especifique o seguinte: Selecione o banco de dados MariaDB ou MS SQL. Especifique o nome de host do banco de dados ou o endereço IP e a porta. Por padrão, a porta do banco de dados para MariaDB é 3306 e para MS SQL é 1433. Especifique o nome de usuário e a senha do banco de dados. Parâmetros de Conexão: Se o seu MS SQL está configurado com parâmetros de conexão, especifique o valor. Este não é um campo obrigatório. Use uma conexão segura: Habilita ou desabilita a segurança da conexão do banco de dados. Por padrão, essa opção está desabilitada. Se o banco de dados MariaDB estiver selecionado, especifique o seguinte: Lembre-se de copiar os certificados de cliente do MariaDB para o servidor do CIS. Caminho de arquivo do Certificado CA do Cliente: Especifique o caminho do arquivo CA (Certificate Authority – Autoridade de Certificação) do cliente no formato.pem. Caminho de arquivo do Certificado do Cliente: Especifique o caminho do arquivo do certificado do cliente no formato.pem. Caminho de arquivo da Chave do Cliente: Especifique o caminho do arquivo de chave associado ao certificado do cliente no formato.pem. Nome de host/endereço IP do servidor de infraestrutura: Especifique o nome de host ou o endereço IP de todos os nós HA configurados do servidor de infraestrutura. Separe várias entradas por vírgulas. Clique em Validar. Se houver erros, resolva-os antes de prosseguir. Nome de Admin do CIS com contexto: Especifique o nome exclusivo (DN) LDAP do usuário que administra o servidor CIS. Por exemplo, cn=admin, o=acme. Senha de Admin: Especifique a senha do administrador do CIS. Contexto de Pesquisa do Agente: Especifique o nome exclusivo (DN) LDAP do objeto Container sob o qual residem os objetos do servidor NCP do servidor OES que se conecta ao servidor CIS. O servidor OES inclui os agentes que se conectam ao servidor CIS. O usuário admin do CIS deve ter direitos de supervisão neste contexto de servidor. Clique em Avançar. Analise o resumo da configuração e clique em Terminar. Isso configura o CIS no 1º nó do cluster. Na configuração dos serviços do CIS, o servercert.pem e o serverkey.pem são copiados para o local /etc/opt/novell/cis_prefixes/letc_cis/certs. O servercert.pem está configurado com o nome do host e o endereço IP do nó do cluster. Para que o servidor CIS funcione como um recurso de cluster, você deve substituí-lo pelo arquivo servercert.pem. Para criar este arquivo de certificado, consulte o Guia de Administração do CIS. Modifique o script de carregamento, de descarregamento e do monitor. Para obter mais informações sobre os scripts, consulte “Configure CIS Services” (Configurar os serviços do CIS) no “Cloud Integrated Storage Administration guide” (Guia de administração do Cloud Integrated Storage). Para adicionar um novo nó a este cluster: Verifique se o padrão do CIS foi instalado e se está atualizado com os patches mais recentes. Verifique se esse nó faz parte do mesmo cluster. Migre o recurso do CIS para o novo nó.",
  "",
  0,
  "Selecione esta opção para configurar o CIS como um nó único ou um recurso de cluster do NCS (Novell Cluster Services). Pré-requisitos Antes de ..."
 ],
 [
  "../cis_data_conf_04.html",
  "Configurar escala de dados",
  "Selecione esta opção para melhorar a latência do acesso aos dados. Para isso, é recomendável ter o servidor de dados no mesmo local geográfico do agente. Dados e gateway Selecione esta opção para configurar o serviço de gateway e os dados neste servidor. Recomenda-se selecionar essa opção se este for o primeiro servidor de escala de dados a ser configurado, pois o serviço de gateway fornece equilíbrio de carga no serviço de dados. Nomes de host: Especifique o seguinte: Servidor de dados: Mostra o nome de host ou endereço IP do servidor local. Configure gateway como um recurso de cluster do NCS: Habilita ou desabilita o gateway como um recurso de cluster do NCS. Por padrão, esta opção está habilitada. Se esta opção estiver habilitada, especifique o endereço IP do recurso de cluster do NCS no qual o gateway está configurado. Se essa opção estiver desabilitada, o nome de host ou endereço IP do servidor local será mostrado. Recomenda-se configurar o gateway como um cluster para evitar a interrupção do serviço. Geral: Especifique o seguinte: Endereço do servidor do CIS: Especifique o nome de host ou o endereço IP no qual o servidor CIS está configurado. Nomes de Host do Servidor de Infraestrutura: Especifique o nome de host ou o endereço IP de todos os nós HA configurados. Separe várias entradas por vírgulas. Clique em Avançar. Analise o resumo da configuração e clique em Terminar. Dados Selecione esta opção para configurar o servidor como um servidor de dados independente ou conecte o servidor de dados a um servidor de gateway existente. Nomes de host: Especifique o seguinte: Conectar ao servidor de gateway: Habilita ou desabilita o servidor de dados para conectar ao gateway. Por padrão, esta opção está habilitada. Servidor de dados: Especifique o nome de host ou o endereço IP do servidor local que será conectado ao gateway. Gateway: Especifique o nome de host ou o endereço IP do servidor no qual o serviço de gateway está configurado. Se essa opção estiver desabilitada, o nome de host ou endereço IP do servidor local será mostrado. Geral: Especifique o seguinte: Endereço do servidor do CIS: Especifique o nome de host ou o endereço IP do servidor que está configurado com o CIS. Nome de host do servidor de infraestrutura: Especifique o nome de host ou o endereço IP de todos os nós HA configurados. Separe várias entradas por vírgulas. Clique em Avançar. Analise o resumo da configuração e clique em Terminar. Gateway Selecione esta opção para configurar somente o serviço de gateway neste servidor. Você pode conectar vários servidores de dados a este servidor de gateway para equilíbrio de carga, migração mais rápida e recalls entre os agentes OES e os serviços de dados. Nomes de host: Especifique o seguinte: Configure gateway como um recurso de cluster do NCS: Habilita ou desabilita o gateway como um recurso de cluster do NCS. Por padrão, esta opção está habilitada. Se esta opção estiver habilitada, especifique o endereço IP do recurso de cluster do NCS no qual o gateway está configurado. Se essa opção estiver desabilitada, o nome de host ou endereço IP do servidor local será mostrado. Geral: Especifique o seguinte: Endereço do servidor do CIS: Especifique o nome de host ou o endereço IP no qual o servidor CIS está configurado. Nome de host do servidor de infraestrutura: Especifique o nome de host ou o endereço IP de todos os nós HA configurados. Separe várias entradas por vírgulas. Clique em Avançar. Analise o resumo da configuração e clique em Terminar.",
  "",
  0,
  "Selecione esta opção para melhorar a latência do acesso aos dados. Para isso, é recomendável ter o servidor de dados no mesmo local geográfico do ..."
 ],
 [
  "../legal.html",
  "Informações Legais",
  "Copyright 2023 Open Text As únicas garantias para produtos e serviços da Open Text e suas afiliadas e licenciadoras (“Open Text”) são as que talvez estejam determinadas nas declarações de garantia expressa que acompanham tais produtos e serviços. Nada contido aqui deve ser interpretado como constituindo uma garantia adicional. A Open Text não será responsável por erros técnicos nem editoriais, tampouco por omissões aqui existentes. As informações aqui contidas estão sujeitas a mudanças sem aviso prévio.",
  "",
  0,
  "Copyright 2023 Open Text As únicas garantias para produtos e serviços da Open Text e suas afiliadas e licenciadoras (“Open Text”) são as que talvez ..."
 ]
];

SEARCH_MODULE.searchArrayLoaded();